
Redmine - Patch #39184

Cleanup debug code in app/models/mail_handler.rb

2023-10-12 15:27 - Holger Just

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 5.1.0   

Description

In r11395 for #13174, we have introduced some debug code in the mail handler which apparently was only used for debugging tests

duringdevelopment. We should remove this puts debug instruction from production code.

The attached patch removes this debug code.

Associated revisions

Revision 22339 - 2023-10-13 00:42 - Go MAEDA

Cleanup debug code in app/models/mail_handler.rb (#39184).

Patch by Holger Just.

History

#1 - 2023-10-13 00:43 - Go MAEDA

- Subject changed from Cleanup debug code to Cleanup debug code in app/models/mail_handler.rb

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version set to 5.1.0

Committed the fix in r22339. Thank you.

#2 - 2023-10-29 02:12 - Mischa The Evil

- Category changed from Email receiving to Code cleanup/refactoring

Change category for changelog clarity.

Files

0001-Cleanup-debug-code.patch 914 Bytes 2023-10-12 Holger Just
